انجمن سایت کلیدستان



مشکل appcompat_v7 در پروژه اندرویدزمان کنونی: ۱۳۹۵/۰۹/۱۴، ۰۸:۴۹ ب.ظ
کاربران در حال بازدید این موضوع: 1 مهمان
نویسنده: Hossein8867
آخرین ارسال: Android Reza
پاسخ 8
بازدید 574

رتبه موضوع:
  • 0 رای - 0 میانگین
  • 1
  • 2
  • 3
  • 4
  • 5
مشکل appcompat_v7 در پروژه اندروید

مشکل appcompat_v7 در پروژه اندروید

#1
Exclamation 
سلام.
من در eclipse وقتی پروژه ای درست می کنم که Minimum Required SDK آن را برابر با 8 و Target SDk آن را برابر با 19 (یا کمتر ، یا بیشتر) قرار میدم همان طور که در جریان هستید کتابخانه ای به نام appcompat_v7 اضافه می شود.اما هم این کتابخانه و هم پروژه ام دارای ارور هستند ، در اینترنت آموزش هایی را که دیدم همه می گفتند پروژه و کتابخانه را باید clean کرد یا اینکه باید دو فایل android-support-v4.jar و android-support-v7-appcompat.jar را باید add to build path کرد و .... ولی متاسفانه هنوز هم ارورها سر جاشون هستن ، در ضمن بخش های مورد نیاز در sdk manager را هم دانلود کردم.لطفا راهنمایی بفرمایید.

   
 
پاسخ

مشکل appcompat_v7 در پروژه اندروید

#2
الان میخوای که این مشکل حل بشه و با appCompact کار کنی یا اینکه میخوای از دست این appCompact راحت بشی؟
پاسخ
 سپاس شده توسط Hossein8867

مشکل appcompat_v7 در پروژه اندروید

#3
(۱۳۹۴/۰۷/۲۸, ۰۶:۳۱ ب.ظ)'u3fraja' نوشته: الان میخوای که این مشکل حل بشه و با appCompact کار کنی یا اینکه میخوای از دست این appCompact راحت بشی؟

 

میخوام با appcompat کار کنم.این روش رو بلدم که Minimum Required SDK رو 15 بگیرم ولی میخوام Minimum Required SDK روی 8 باشه.
پاسخ

مشکل appcompat_v7 در پروژه اندروید

#4
به روز رسانی
پاسخ

مشکل appcompat_v7 در پروژه اندروید

#5
سلام.
برای مشکل پروژه اندروید اصلی (که علامت تعجب در کنار آن نمایش داده شده)، کلید زیر را بخوانید :

کلید شماره 837

اما در مورد خطاهای appcompat ، شما هر زمان که با خطا روبرو شدید، متن خطا را در پنجره Problems بخوانید (تصویری که قرار دادید کمکی نمیکنه). 
اما معمولا  با تغییر target پروژه اندروید به یک نسخه جدید SDK ، مشکل برطرف می شود (نسخه های جدید SDK را تهیه کنید).

bookbook 
لطفا برای درج کد، از دکمه مخصوص درج کد در ادیتور انجمن استفاده کنید.
در مورد برنامه نویسی، مدیران تنها راهنمایی می کنند و نوشتن برنامه نهایی، به عهده کاربران می باشد (اینجا محلی برای یادگیری است، نه سفارش کدنویسی).
کاربران باید ابتدا خود به خطایابی برنامه بپردازند، نه اینکه به محض دیدن خطا، کدها را در انجمن، copy و paste کرده و از مدیران انتظار بررسی داشته باشند.
پاسخ
 سپاس شده توسط Hossein8867

مشکل appcompat_v7 در پروژه اندروید

#6
سلام

عزیزشما یک بار کمپایلر خودنون رو از اپی ای 14 به 21 تغییر بدید و پروژه رو ایجاد کنید مشکل رفع میشه

بزودی
پاسخ
 سپاس شده توسط Hossein8867

مشکل appcompat_v7 در پروژه اندروید

#7
(۱۳۹۴/۰۷/۲۸, ۰۶:۳۱ ب.ظ)'u3fraja' نوشته: الان میخوای که این مشکل حل بشه و با appCompact کار کنی یا اینکه میخوای از دست این appCompact راحت بشی؟

 
سلام میشه لطفا کمک کنی چطور از دست appcompact خلاص بشم بد جور تو کار من مشکل درست کرده


 
پاسخ

مشکل appcompat_v7 در پروژه اندروید

#8


 
پاسخ


پرش به انجمن:


کاربران در حال بازدید این موضوع: 1 مهمان

آخرین کلیدهای غیررایگان

شما هم می توانید کلیدهای غیررایگان منتشر کنید (بیشتر بدانید)